Loading...
Searching...
No Matches
CScoreboard::CScoreboardEndTakeRule Class Referencefinal

Scoreboard rule for EndMissionTake rewards. More...

`#include <src/level/scoreboard.h>`

Inheritance diagram for CScoreboard::CScoreboardEndTakeRule:
[legend]

## Public Member Functions

void | Read (CLevelParserLine *line) override
| Read from line in scene file.

## Public Attributes

int | team = 0
int | order = 0
Public Attributes inherited from CScoreboard::CScoreboardRule
int | score = 0

## Detailed Description

Scoreboard rule for EndMissionTake rewards.

See also
  CScoreboard::AddEndTakeRule()

## Member Function Documentation

## Read()

void CScoreboard::CScoreboardEndTakeRule::Read | ( | CLevelParserLine * | line | ) |

override virtual

Read from line in scene file.

Reimplemented from CScoreboard::CScoreboardRule.

The documentation for this class was generated from the following files:

- src/level/scoreboard.h
- src/level/scoreboard.cpp